Subject: Re: [PATCH] Fix interrupt distribution in ppc970

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 07 Mar 2007 09:52:47 +0100

On Tue, 2007-03-06 at 16:05 -0600, Nathan Lynch wrote:
> Mohan Kumar M wrote:
> > Hi,
> > 
> > Here comes the revised version of patch to fix the interrupt missing
> > problem when a kdump kernel is booted with "maxcpus=1" kernel parameter.
> > 
> > In the xics initialization code a check is made to detemine whether
> > maxcpus kernel parameter is present and if its present then
> > default_distrib_server variable is initialized to the current boot cpu
> > id (by default_server variable). So that when ever a kernel is booted
> > with maxcpus kernel parameter all interrupts are routed to the boot cpu
> > only.
> > 
> > Tested on POWER5 and JS20 systems.
> > 
> > Any comment?
> 
> Was the root cause of this problem ever determined?  It sure looked
> like a firmware or hardware problem since it's known to occur only on
> JS20.

js20 and js21 have in common that the firmware "emulates" the XICS on
top of an MPIC, which can cause interesting issues ... like the
requirement of issuing EOI's from the CPU that got the interrupt, among
ohters.

Ben.